Listed Shares Corporate Action Factors (/listed/shares_change)

Retrieve daily change factors for listed shares of listed companies

API Overview

This dataset features the listed issues (stocks and REITs) on the TSE market, providing data on changes in the number of listed shares due to various corporate actions for past dates, current date, and future dates.

Parameters and Response

When retrieving data, you can specify issue code (code), date (date), or data update date (updated_at). The combinations of parameters and their response results are as follows:

code
date
updated_at
Response Result

Error (at least one parameter must be specified)

Change factors and change amounts for listed shares of the specified issue

Change factors and change amounts for listed shares of all issues as of the specified date

Change factors and change amounts for listed shares of records updated on the specified date

Change factors and change amounts for listed shares of the specified issue as of the specified date

Change factors and change amounts for listed shares of the specified issue among those updated on the specified update date

Change factors and change amounts for listed shares of each issue as of the specified date among those updated on the specified update date

Change factors and change amounts for listed shares of the specified date and issue among those updated on the specified update date

Retrieve daily change factors for listed shares of listed companies

GET https://api.jquants-pro.com/v2/listed/shares_change

\* indicates required fields

Query Parameters

Name
Type
Description

code

String

27890 or 2789

If a 4-digit issue code is specified, only common stock data will be retrieved for issues that have both common and preferred stocks listed.

date

String

Specify the reference date

(e.g. 20210907 or 2021-09-07)

updated_at

String

Specify the data update date

(e.g. 20210907 or 2021-09-07)

Headers

Name
Type
Description

Authorization*

String

Access Key

Data Item Overview

Variable Name
Description
Type
Notes

EffectiveDate

Listed shares effective date

String

YYYY-MM-DD

SequentialNumber

Sequential Number

Number

Code

Issue Code

String

FactorType

Corporate Action Type

String

For corporate action types, please refer to here.

CABaseDate

Corporate Action Record Date

String

Record date for corporate actions such as stock splits and reverse stock splits. Note that 9999-99-99 indicates that no record date exists.

CASubstantialBaseDate

Corporate Action Substantial Record Date

String

Substantial record date for corporate actions such as stock splits and reverse stock splits. Note that 9999-99-99 indicates that no substantial record date exists.

CAEffectiveDate

Corporate Action Effective Date

String

Effective date for corporate actions such as stock splits and reverse stock splits. Note that 9999-99-99 indicates that no effective date exists.

Changes

Change Amount

Number

Denominator

Denominator

Number

Denominator of the ratio used to calculate change amounts due to stock splits and reverse stock splits

Numerator

Numerator

Number

Numerator of the ratio used to calculate change amounts due to stock splits and reverse stock splits

UpdatedAt

Data Update Date

String

YYYY-MM-DD

API Call Sample Code

Last updated